button(nz-button, [nzSize]="size", [nzShape]="shape", [nzDisabled]="disabled",
  nz-dropdown, [nzDropdownMenu]="menu", [nzPlacement]="menuPlacement", nzTrigger="click", (nzVisibleChange)="onVisibleChange($event)")
  i(*ngIf="icon", nz-icon, [nzType]="icon")
